Module org.jfree.chart3d
Package org.jfree.chart3d.renderer.category

# Interface CategoryRenderer3D

All Superinterfaces:
  `ChartElement`, `Renderer3D`

All Known Implementing Classes:
  `AbstractCategoryRenderer3D`, `AreaRenderer3D`, `BarRenderer3D`, `LineRenderer3D`, `StackedBarRenderer3D`

public interface CategoryRenderer3D extends Renderer3D
Defines the methods that all renderers must support to work with a `CategoryPlot3D`.

## Field Summary

### Fields inherited from interface org.jfree.chart3d.renderer.Renderer3D

`TRANSPARENT_COLOR`

## Method Summary

Modifier and Type
Method
Description
`void`
`composeItem(CategoryDataset3D dataset, int series, int row, int column, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Constructs and places one item from the specified dataset into the given world.
`Range`
`findValueRange(Values3D<? extends Number> data)`
Returns the range that should be used on the value axis to display all the specified data using this renderer.
`CategoryColorSource`
`getColorSource()`
Returns the color source for the renderer, which is an object that is responsible for providing the colors used by the renderer to draw data (and legend) items.
`CategoryPlot3D`
`getPlot()`
Returns the plot that this renderer is assigned to.
`void`
`setColors(Color... colors)`
Sets the colors for the renderer.
`void`
`setColorSource(CategoryColorSource source)`
Sets the color source for the renderer and sends a `Renderer3DChangeEvent` to all registered listeners.
`void`
`setPlot(CategoryPlot3D plot)`
Sets the plot that the renderer is assigned to.

### Methods inherited from interface org.jfree.chart3d.ChartElement

`receive`

### Methods inherited from interface org.jfree.chart3d.renderer.Renderer3D

`addChangeListener, removeChangeListener`

## Method Details

### getPlot

CategoryPlot3D getPlot()
Returns the plot that this renderer is assigned to.

Returns:
  The plot (possibly `null`).

### setPlot

void setPlot(CategoryPlot3D plot)
Sets the plot that the renderer is assigned to. Although this method is part of the public API, client code should not need to call it.

Parameters:
  `plot` - the plot (`null` permitted).

### getColorSource

CategoryColorSource getColorSource()
Returns the color source for the renderer, which is an object that is responsible for providing the colors used by the renderer to draw data (and legend) items.

Returns:
  The paint source (never `null`).

### setColorSource

void setColorSource(CategoryColorSource source)
Sets the color source for the renderer and sends a `Renderer3DChangeEvent` to all registered listeners.

Parameters:
  `source` - the color source (`null` not permitted).

### setColors

void setColors(Color... colors)
Sets the colors for the renderer.

Parameters:
  `colors` - the colors.
Since:
  1.2

### findValueRange

Range findValueRange(Values3D<? extends Number> data)
Returns the range that should be used on the value axis to display all the specified data using this renderer. Normally this will return the minimum and maximum values in the dataset, but some renderers require a larger range (for example, the stacked bar renderer).

Parameters:
  `data` - the data values (`null` not permitted).
Returns:
  The data range.

### composeItem

void composeItem(CategoryDataset3D dataset, int series, int row, int column, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)
Constructs and places one item from the specified dataset into the given world. This method will be called by the `CategoryPlot3D` class while iterating over the items in the dataset.

Parameters:
  `dataset` - the dataset (`null` not permitted).
  `series` - the series index.
  `row` - the row index.
  `column` - the column index.
  `world` - the world (`null` not permitted).
  `dimensions` - the plot dimensions (`null` not permitted).
  `xOffset` - the x-offset.
  `yOffset` - the y-offset.
  `zOffset` - the z-offset.